Taxonomies
List
List all taxonomies (schemas/hierarchies) for the authenticated user.
Request Body
| Field | Type | Description |
|---|---|---|
taxonomy_ids | Optional[List[str]] | List of specific taxonomy IDs to retrieve. If omitted, returns all taxonomies. |
Response
- 200: Taxonomies retrieved successfully
- Returns:
{ "taxonomies": List[DeasyTaxonomy] }
- Returns:
- 500: Internal Server Error
Example
{
"taxonomy_ids": ["document-categories", "sentiment-types"]
}
POST
/
taxonomy
/
list
Python
import os
from unstructured import UnstructuredClient
client = UnstructuredClient(
username=os.environ.get("UNSTRUCTURED_USERNAME"), # This is the default and can be omitted
password=os.environ.get("UNSTRUCTURED_PASSWORD"), # This is the default and can be omitted
)
taxonomies = client.taxonomy.list()
print(taxonomies.taxonomies)import UnstructuredClient from 'unstructured-sdk';
const client = new UnstructuredClient({
authMethod: 'My Auth Method',
username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
});
const taxonomies = await client.taxonomy.list();
console.log(taxonomies.taxonomies);A valid request URL is required to generate request examplesA valid request URL is required to generate request examplesA valid request URL is required to generate request examplesA valid request URL is required to generate request examplesA valid request URL is required to generate request examples{
"taxonomies": [
{
"taxonomy_id": "<string>",
"taxonomy_name": "<string>",
"taxonomy_description": "<string>",
"taxonomy_data": {
"nodes": [
{
"name": "<string>",
"node_id": "<string>",
"node_type": "tag",
"description": "<string>",
"active_values": [
"<string>"
]
}
],
"edges": [
{
"target_node_ids": [
"<string>"
],
"conditions": [
{
"node_id": "<string>",
"tag_value_name": "<string>"
}
],
"edge_id": "<string>"
}
],
"root_node_id": "root"
},
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"refreshed_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
BasicAuthBearerAuth & UserIdAuth
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Python
import os
from unstructured import UnstructuredClient
client = UnstructuredClient(
username=os.environ.get("UNSTRUCTURED_USERNAME"), # This is the default and can be omitted
password=os.environ.get("UNSTRUCTURED_PASSWORD"), # This is the default and can be omitted
)
taxonomies = client.taxonomy.list()
print(taxonomies.taxonomies)import UnstructuredClient from 'unstructured-sdk';
const client = new UnstructuredClient({
authMethod: 'My Auth Method',
username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
});
const taxonomies = await client.taxonomy.list();
console.log(taxonomies.taxonomies);A valid request URL is required to generate request examplesA valid request URL is required to generate request examplesA valid request URL is required to generate request examplesA valid request URL is required to generate request examplesA valid request URL is required to generate request examples{
"taxonomies": [
{
"taxonomy_id": "<string>",
"taxonomy_name": "<string>",
"taxonomy_description": "<string>",
"taxonomy_data": {
"nodes": [
{
"name": "<string>",
"node_id": "<string>",
"node_type": "tag",
"description": "<string>",
"active_values": [
"<string>"
]
}
],
"edges": [
{
"target_node_ids": [
"<string>"
],
"conditions": [
{
"node_id": "<string>",
"tag_value_name": "<string>"
}
],
"edge_id": "<string>"
}
],
"root_node_id": "root"
},
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"refreshed_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}